Loading...
Searching...
No Matches
ToneGen::Exception Class Reference

`ToneGen` runtime exception type More...

`#include <tonegen.h>`

Inheritance diagram for ToneGen::Exception:
Collaboration diagram for ToneGen::Exception:

## Public Member Functions

| Exception (const std::string &message)
| Construct an exception object with a simple message string.
| ~Exception () throw ()
| Destructor.
Error summary
const char * | what () const throw ()
| Return the message associated with the exception.

## Detailed Description

`ToneGen` runtime exception type